<?php

add_action('admin_menu', 'tijaji_add_theme_info');

function tijaji_add_theme_info(){

	$allowed_html = array( 'span' => array( 'style' => array (),'class' => array () ) );
	$tijaji_list_name = '<span class="tijaji_s">' . __('TIJAJI info','tijaji') . '</span>';
	$tijajipage = add_theme_page( __('TIJAJI Information','tijaji'), wp_kses( $tijaji_list_name , $allowed_html ) , 'manage_options', 'tijaji-info.php', 'tijaji_information' );
	add_action( 'load-' . $tijajipage, 'tijaji_information_page' );

}

function tijaji_information() {
?>

	<div class="tijaji_admin_div" style="background-image: url(<?php echo esc_url( get_template_directory_uri() . '/images/default-header-background.jpg' ); ?>);background-position: top center;background-repeat:repeat;background-size: 100% auto;">

		<div class="t_logo">
		<h1 class="info-title"><?php /* translators: %s: theme version */ echo sprintf( esc_html__( 'TIJAJI - %s Information', 'tijaji' ), esc_html( wp_get_theme()->version ) ); ?></h1>
		<div class="tijaji_admin_thx"><?php esc_html_e( 'Welcome to TIJAJI! Thank you for installing. Here we will display information on TIJAJI and show you how to customize. Is there a function you want to add to the theme customizer? I would like to answer as much as possible if requested. Thank you.', 'tijaji' ); ?></div>
		</div>


		<div class="tijaji_admin">


			<input type="radio" id="m1" name="tijaji_admin_menu" checked>
				<label for="m1" class="admin_menu_list_1"><?php esc_html_e( 'Getting started', 'tijaji' ); ?></label>
			<div class="admin_content_1">
				<h2><?php esc_html_e( 'Recommend customizing with theme customizer', 'tijaji' ); ?></h2>
				<p><?php esc_html_e( 'Let\'s play with theme customizer immediately!', 'tijaji' ); ?></p>
				<p><a class="button button-primary button-large" href="<?php echo esc_url( admin_url( 'customize.php' )); ?>"><?php esc_html_e( 'Go to Customizer', 'tijaji' ); ?></a></p>
			</div>
			<input type="radio" id="m2" name="tijaji_admin_menu">
				<label for="m2" class="admin_menu_list_2"><?php esc_html_e( 'How to customize', 'tijaji' ); ?></label>
			<div class="admin_content_2">
				<h2><?php esc_html_e( 'Demo site', 'tijaji' ); ?></h2>
				<p><?php esc_html_e( 'What can you do with customization? How is it displayed? Let\'s take a look at the demo site.', 'tijaji' ); ?></p>
				<p><a href="https://tijaji.jp/demo/" target="_blank"><?php esc_html_e( 'TIJAJI DEMO SITE', 'tijaji' ); ?></a></p>
				<h2><?php esc_html_e( 'Customization instructions', 'tijaji' ); ?></h2>
				<?php get_template_part( 'inc/setumei' ); ?>
			</div>
			<input type="radio" id="m3" name="tijaji_admin_menu">
				<label for="m3" class="admin_menu_list_3"><?php esc_html_e( 'Support', 'tijaji' ); ?></label>
			<div class="admin_content_3">
				<h2><?php esc_html_e( 'Support', 'tijaji' ); ?></h2>
			<p><?php esc_html_e( 'Is there anything you do not understand? Please ask me a question. Also, please also contact the features you want to add.', 'tijaji' ); ?></p>
				<p><a href="https://tijaji.jp/to_contact/" target="_blank"><?php esc_html_e( 'To contact', 'tijaji' ); ?></a></p>
			</div>

		</div>


	</div>
<?php
}

function tijaji_information_page(){
	add_action( 'admin_enqueue_scripts', 'tijaji_information_css' );
}
function tijaji_information_css() {
	wp_enqueue_style( 'tijaji-themeadmin', get_template_directory_uri() . '/css/tijaji_admin.css' );
}
function tijaji_admin_style() {
?>
<style type="text/css">
.tijaji_s {
	background-image: url(<?php echo esc_url( get_template_directory_uri() . '/images/tja.png' ); ?>);
	background-position: left center;
	background-repeat:no-repeat;
	background-size: auto 100% ;
	font-size:1.2em;
	padding:0 0 0 1.5em;
}
.customize-control-title {
	margin:20px 0 0;
	font-size:1.1em;
	padding:1em 0 0.5em;
	border-top:2px solid #ddd;
	color:#000;
}
.customize-control-title:before {
	font-family: "dashicons";
	content: "\f107";
	color:#999;
	margin:0 3px 0 0;
}
.slider_title{
	background:#ccc;
	padding:10px;
	font-size:1.5em;
	margin:80px 0 0;
	text-align:center;
	color:#000;
}
.slider_title:before{
	font-family: "dashicons";
	content: "\f208";
	color:#999;
	margin:0 10px 0 0;
}
.slider_title:after{
	font-family: "dashicons";
	content: "\f206";
	color:#999;
	margin:0 0 0 10px;
}

.decotop{
	margin:10px 0 0 !important;
}
.deco_title{
	background: #eeeeee;
	background: -moz-linear-gradient(top,  #eeeeee 0%, #cccccc 100%);
	background: -webkit-linear-gradient(top,  #eeeeee 0%,#cccccc 100%);
	background: linear-gradient(to bottom,  #eeeeee 0%,#cccccc 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeee', endColorstr='#cccccc',GradientType=0 );
	box-shadow: 0px 0px 3px #666 ;
	-moz-box-shadow: 0px 0px 3px #666 ;
	-webkit-box-shadow: 0px 0px 3px #666 ;
	border-radius: 3px;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	padding:15px;
	font-size:1.5em;
	margin:80px 0 0;
	text-align:center;
	color:#000;
}
.deco_sub_title{
	background: #666;
	box-shadow: 0px 0px 10px #666 ;
	-moz-box-shadow: 0px 0px 10px #666 ;
	-webkit-box-shadow: 0px 0px 10px #666 ;
	border-radius: 30px 30px 0 0;
	-moz-border-radius: 30px 30px 0 0;
	-webkit-border-radius: 30px 30px 0 0;
	padding:10px;
	font-size:1.2em;
	margin:30px 0 -10px;
	text-align:center;
	color:#fff;
}
.top_border {
	border-top:2px solid #fcf;
}
.left_border {
	border-left:2px solid #fcf;
	padding-left:5px;
}
.right_border {
	border-right:2px solid #fcf;
	padding-right:5px;
}
.bottom_border {
	border-bottom:2px solid #fcf;
}
</style>
<?php
}
add_action('admin_print_styles', 'tijaji_admin_style');
